





.floatingActionButton {
  bottom:30px;
  position:fixed;
  z-index:100;
  width:100%;
  pointer-events:none;
  display:block;

  @include breakpoint($large) {
    bottom:6.5rem;
  }

  @include breakpoint($xlarge) {
    bottom:1.5rem;
  }

  .container {
    padding:0;
    max-width:none;
  }

  .floatingElement {
    .btn--contactUs {
      pointer-events:all;
      float:right;
      margin-right:$global-padding-mobile;
      position:relative;
      max-width:46px;
      padding:0;
      transition:padding ease 300ms, max-width ease 300ms 200ms;
      background:none;
      box-shadow:0 0 12px rgba(0, 0, 0, 0.15);
      color:#fff;


      &:after{
        content:"";
        display:block;
        position:absolute;
        top:0;
        left:0;
        width: 100%;
        height:100%;
        @include gradient-directional($color-accessibleGreen,$gradient-clover-end,160deg);
        z-index:-1;
        border-radius:40px;
      }

      @include breakpoint($large) {
        max-width:66px;
        margin-right:$global-padding-desktop;
      }

      .text {
        padding:0 68px 0 35px;
        line-height:44px;
        margin:0;
        opacity:0;
        transition:opacity ease 200ms;
        @include font-archer-medium;

        @include breakpoint($large) {
          padding:0 88px 0 35px;
          line-height:64px;
        }
      }

      .icon-wrap {
        position:absolute;
        right:4px;
        top:50%;
        padding:0;
        transform:translateY(-50%);
        height:36px;
        width:36px;

        @include breakpoint($large) {
          right:7px;
          height:50px;
          width:50px;
        }

        img {
          width:14px;
          height:14px;

          @include breakpoint($large) {
            width:24px;
            height:24px;
          }
        }
      }

      &:focus {
        outline:0;
      }

      &.active {
        transition:max-width ease 300ms;
        max-width:300px;

        .text {
          opacity:1;
          transition:opacity ease 200ms 200ms;
        }
      }

      @include breakpoint($large) {
        &:hover {
          transition:max-width ease 300ms;
          max-width:300px;

          .text {
            opacity:1;
            transition:opacity ease 200ms 200ms;
          }
        }
      }
    }
  }
}

.fabContent {
  pointer-events:all;
  position:absolute;
  bottom:100px;
  right:1.5rem;
  width:425px;
  height:calc(90vh - 6.5rem - 100px);
  max-height:550px;
  background:#fff;
  display:none;
  transition:opacity 300ms linear;
  border-radius:10px;
  box-shadow:0 2px 5px 8px rgba(0,0,0,0.05);
  padding:$global-padding-mobile 0;

  @include breakpoint($large) {
    padding:$global-padding-desktop 0;

    &--active {
      display:block;
      opacity:0;
    }

    &--visible {
      opacity:1;
    }
  }

  .close {
    z-index:99;
  }

  .track-vertical {
    position: absolute;
    width: 6px;
    right: 0.5rem;
    bottom: 10px;
    top: 62px;
    border-radius: 3px;
  }

  .thumb-vertical {
    border-radius: 3px;
    background:#999;
  }

}
.fabContentInner {
  padding:0 $global-padding-mobile 0 0;

  @include breakpoint($large) {
    padding:0 $global-padding-desktop*2 $global-padding-desktop $global-padding-desktop;
  }

  .box {
    margin:map-get($mobile, space-sm) 0;

    @include breakpoint($large) {
      margin:map-get($desktop, space-sm) 0;
    }
  }

  .fabContentInner__intro{
    margin-bottom:map-get($mobile, space-xsm);
    @include breakpoint($large) {
      margin-bottom:map-get($desktop, space-xsm);
    }
  }

}

.contact-popup {
  padding-right:0.5rem;
}

.alert {
  pointer-events:all;
  position:absolute;
  bottom:60px;
  left:$global-padding-mobile;
  right:$global-padding-mobile;
  width:calc(100% - (#{$global-padding-mobile}*2));
  background:#fff;
  border-radius:10px;
  border-top:10px solid $alert-purple;
  box-shadow:0 2px 5px 8px rgba(0,0,0,0.05);

  @include breakpoint($large) {
    width:300px;
    bottom:100px;
    left:auto;
    right:$global-padding-desktop;
  }

  &.alert--noContact{
    @include breakpoint($large) {
      bottom:0;
    }
  }

  .alert__icon {
    position:absolute;
    top:0;
    left:50%;
    transform:translateX(-50%) translateY(-50%);
    background:#fff;
    border-radius:50%;
    width:65px;
    height:65px;

    .alert__icon__inner {
      position:absolute;
      top:50%;
      left:50%;
      border-radius:50%;
      width:50px;
      height:50px;
      transform:translateX(-50%) translateY(-50%);
      padding:8px;

      background:$alert-purple;

      svg {
        position:absolute;
        top:50%;
        left:50%;
        transform:translateX(-50%) translateY(-50%);
        width:35px;
      }
    }
  }

  .alert__inner {
    margin-top:1.2rem;
    padding:$global-padding-mobile;

    @include breakpoint($large) {
      padding:$global-padding-desktop;
    }

    .alert__title {
      @include rhythm(22,24);
      margin-bottom:0.8rem;
      color:$color-accessibleGreen;
    }

    p {
      @include rhythm(14,20);
      @include breakpoint($small){
        margin-bottom: 0.4rem;
      }
    }
  }

  .close {
    top:1rem;
    right:1rem;
  }

  .btn {
    margin-top:0.5rem;
    display:inline-block;
    width:100%;
  }

}

.alertBg {
  z-index:9;
  position:fixed;
  background:rgba(0,0,0,0.3);
  top:0;
  left:0;
  bottom:0;
  right:0;

  @include breakpoint($large) {
    display:none;
  }
}
